RecoverableException (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.runtime

## Class RecoverableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jibx.runtime.JiBXException
      - - org.jibx.runtime.RecoverableException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ValidationException

      public class RecoverableException
      extends JiBXException

  Recoverable exception class. This is used for non-fatal errors in marshalling and unmarshalling.
  Version:
    1.0
  Author:
    Dennis M. Sosnoski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecoverableException(java.lang.String msg)` Constructor from message.
    `RecoverableException(java.lang.String msg, java.lang.Throwable root)` Constructor from message and wrapped exception.

  - ### Method Summary

    - ### Methods inherited from class org.jibx.runtime.JiBXException

      `getCause, getRootCause, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecoverableException

          public RecoverableException(java.lang.String msg)

      Constructor from message.
      Parameters:
        `msg` - message describing the exception condition

    - #### RecoverableException

          public RecoverableException(java.lang.String msg,
                              java.lang.Throwable root)

      Constructor from message and wrapped exception.
      Parameters:
        `msg` - message describing the exception condition
        `root` - exception which caused this exception

Project Web Site |